﻿using System;
using System.Runtime.InteropServices;

namespace TestLibrary
{
    /// <summary>
    /// 스트림 재생기 매개 변수
    /// </summary>
    [StructLayout(LayoutKind.Sequential)]
    public struct StreamPlayerParameter
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 윈도우 핸들
        /// </summary>
        public IntPtr WindowHandle;

        /// <summary>
        /// 스트림 시작시 콜백 핸들
        /// </summary>
        public IntPtr StreamStartedCallbackHandle;

        /// <summary>
        /// 스트림 중단시 콜백 핸들
        /// </summary>
        public IntPtr StreamStoppedCallbackHandle;

        /// <summary>
        /// 스트림 실패시 콜백 핸들
        /// </summary>
        public IntPtr StreamFailedCallbackHandle;

        #endregion
    }
}